package enum

// EggEnergyFundDataKind 蛋蛋能量-资金数据-种类
type EggEnergyFundDataKind int

const (
	CompanySubsidies EggEnergyFundDataKind = iota + 1
	InvestmentByInvestors
	MarketExpectations
)

func (kind EggEnergyFundDataKind) String() string {
	switch kind {
	case CompanySubsidies:
		return "公司补贴"
	case InvestmentByInvestors:
		return "资方投资"
	case MarketExpectations:
		return "市场期望"
	default:
		return "未知状态"
	}
}
